Main Page Modules Class Hierarchy Compound List File List Compound Members

# cLinkType Class Reference

`#include <ctypes.h>`

Inheritance diagram for cLinkType::

List of all members.

## Public Methods

Constructors, destructor, assignment
| cLinkType (const char *name, cPar *(*d)(), cPar *(*e)(), cPar *(*dr)())
| cLinkType (const cLinkType &li)
virtual | ~cLinkType ()
cLinkType& | operator= (const cLinkType &o)
Redefined cObject member functions.
virtual cObject* | dup () const
Channel properties.
cPar* | createDelay () const
cPar* | createError () const
cPar* | createDataRate () const

## Detailed Description

Represents a connection type: name, delay, bit error rate, data rate. An instance knows how to create delay, bit error rate and data rate objects (cPars) for a given channel.

Objects of this class are usually created via the Define_Channel() macro.

## Constructor & Destructor Documentation

cLinkType::cLinkType ( | const char * name,
| cPar *(* d)(),
| cPar *(* e)(),
| cPar *(* dr)() )

| Constructor. It takes three function pointers; the corresponding functions should be 'factory' functions that create the delay, bit error rate and data rate objects (cPars) for this channel type.

cLinkType::cLinkType ( | const cLinkType & li )

| Copy constructor.

cLinkType::~cLinkType ( | )`[inline, virtual]`

| Destructor.

## Member Function Documentation

cPar * cLinkType::createDataRate ( | ) const

| Creates a cPar object, representing the data rate of this channel. Returns NULL if the channel has no associated data rate.

cPar * cLinkType::createDelay ( | ) const

| Creates a cPar object, representing the delay of this channel. Returns NULL if the channel has no associated delay.

cPar * cLinkType::createError ( | ) const

| Creates a cPar object, representing the bit error rate of this channel. Returns NULL if the channel has no associated bit error rate.

cObject * cLinkType::dup ( | ) const`[inline, virtual]`

| Creates and returns an exact copy of this object. See cObject for more details. Reimplemented from cObject.

cLinkType & cLinkType::operator= ( | const cLinkType & o )

| Assignment operator. The name member doesn't get copied; see cObject's operator=() for more details.

The documentation for this class was generated from the following file:

- ctypes.h